## org.firebirdsql.gds
Interface ServiceParameterBuffer

    public interface ServiceParameterBuffer

Instance of this interface represents a Service Parameter Buffer from the Firebird API documentation and specifies the attributes for the Services API connection.

Field Summary
`static int` `COMMAND_LINE`
`static int` `CONNECT_TIMEOUT`
`static int` `CURRENT_VERSION`
`static int` `DBNAME`
`static int` `DUMMY_PACKET_INTERVAL`
`static int` `OPTIONS`
`static int` `PASSWORD`
`static int` `PASSWORD_ENC`
`static int` `SQL_ROLE_NAME`
`static int` `SYS_USER_NAME`
`static int` `SYS_USER_NAME_ENC`
`static int` `USER_NAME`
`static int` `VERBOSE`
`static int` `VERSION`
`static int` `VERSION1`

Method Summary
`void` `addArgument(int argumentType)` Set a void (valueless) parameter on this `ServiceParameterBuffer`.
`void` `addArgument(int argumentType, byte[] data)` Set an `byte[]` paramter on this `ServiceParameterBuffer`.
`void` `addArgument(int argumentType, int value)` Set an `int` paramter on this `ServiceParameterBuffer`.
`void` `addArgument(int argumentType, String value)` Set a `String` parameter on this `ServiceParameterBuffer`.

Field Detail

### VERSION

    static final int VERSION

See Also:
  Constant Field Values

### VERSION1

    static final int VERSION1

See Also:
  Constant Field Values

### CURRENT_VERSION

    static final int CURRENT_VERSION

See Also:
  Constant Field Values

### USER_NAME

    static final int USER_NAME

See Also:
  Constant Field Values

### SYS_USER_NAME

    static final int SYS_USER_NAME

See Also:
  Constant Field Values

### SYS_USER_NAME_ENC

    static final int SYS_USER_NAME_ENC

See Also:
  Constant Field Values

### PASSWORD

    static final int PASSWORD

See Also:
  Constant Field Values

### PASSWORD_ENC

    static final int PASSWORD_ENC

See Also:
  Constant Field Values

### COMMAND_LINE

    static final int COMMAND_LINE

See Also:
  Constant Field Values

### DBNAME

    static final int DBNAME

See Also:
  Constant Field Values

### VERBOSE

    static final int VERBOSE

See Also:
  Constant Field Values

### OPTIONS

    static final int OPTIONS

See Also:
  Constant Field Values

### CONNECT_TIMEOUT

    static final int CONNECT_TIMEOUT

See Also:
  Constant Field Values

### DUMMY_PACKET_INTERVAL

    static final int DUMMY_PACKET_INTERVAL

See Also:
  Constant Field Values

### SQL_ROLE_NAME

    static final int SQL_ROLE_NAME

See Also:
  Constant Field Values

Method Detail

### addArgument

    void addArgument(int argumentType)

  Set a void (valueless) parameter on this `ServiceParameterBuffer`.

  Parameters:
    `argumentType` - The parameter to be set, one of the `isc_spb_*` constants from `ISCConstants`

### addArgument

    void addArgument(int argumentType,
                     String value)

  Set a `String` parameter on this `ServiceParameterBuffer`.

  Parameters:
    `argumentType` - The parameter to be set, one of the `isc_spb_*` constants from `ISCConstants`
    `value` - The value to set for the given parameter type

### addArgument

    void addArgument(int argumentType,
                     int value)

  Set an `int` paramter on this `ServiceParameterBuffer`.

  Parameters:
    `argumentType` - The parameter to be set, one of the `isc_spb_*` constants from `ISCConstants`
    `value` - The value to set for the given parameter type

### addArgument

    void addArgument(int argumentType,
                     byte[] data)

  Set an `byte[]` paramter on this `ServiceParameterBuffer`.

  Parameters:
    `argumentType` - The parameter to be set, one of the `isc_spb_*` constants from `ISCConstants`
    `data` - The value to set for the given parameter type

Copyright © 2001-2010. All Rights Reserved.